Debian Bug report logs - #514677
bugs.debian.org: says reply to bug "as before" on new bug submission

version graph

Package: debbugs; Maintainer for debbugs is Debbugs developers <debian-debbugs@lists.debian.org>; Source for debbugs is src:debbugs.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Mon, 9 Feb 2009 23:48:04 UTC

Severity: minor

Fixed in version debbugs/2.4.2~exp0

Done: Don Armstrong <don@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Bug Tracking Team <owner@bugs.debian.org>:
Bug#514677; Package bugs.debian.org. (Mon, 09 Feb 2009 23:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian Bug Tracking Team <owner@bugs.debian.org>. (Mon, 09 Feb 2009 23:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bugs.debian.org: says reply to bug "as before" on new bug submission
Date: Mon, 9 Feb 2009 23:45:20 +0000
[Message part 1 (text/plain, inline)]
Package: bugs.debian.org
Severity: minor

I received the following response from the BTS upon filing a new bug:

  Thank you for filing a new Bug report with Debian.
 
  [...]

  If you wish to submit further information on this problem, please
  send it to 514675@bugs.debian.org, as before.

Obviously, I did not send the bug report to that address, since it
wasn't valid; I sent it to submit@bugs.debian.org.  Therefore, the BTS
acknowledgement should not request me to send further information "as
before", since that would mean sending to submit@ (and therefore opening
a new bug).

I have no objection to subsequent acknowledgements requesting me to send
to the bug-numbered address "as before".

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `bugs.debian.org' to `debbugs'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Tue, 10 Feb 2009 00:06:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 23 Jul 2009 16:45:03 GMT) Full text and rfc822 format available.

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Sun, 16 Aug 2009 15:38:15 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
Bug acknowledged by developer. (Sun, 16 Aug 2009 15:38:15 GMT) Full text and rfc822 format available.

Message #14 received at 514677-close@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 514677-close@bugs.debian.org
Subject: Bug#514677: fixed in debbugs 2.4.2~exp0
Date: Sun, 16 Aug 2009 14:38:15 +0000
Source: debbugs
Source-Version: 2.4.2~exp0

We believe that the bug you reported is fixed in the latest version of
debbugs, which is due to be installed in the Debian FTP archive:

debbugs-local_2.4.2~exp0_all.deb
  to pool/main/d/debbugs/debbugs-local_2.4.2~exp0_all.deb
debbugs-web_2.4.2~exp0_all.deb
  to pool/main/d/debbugs/debbugs-web_2.4.2~exp0_all.deb
debbugs_2.4.2~exp0.dsc
  to pool/main/d/debbugs/debbugs_2.4.2~exp0.dsc
debbugs_2.4.2~exp0.tar.gz
  to pool/main/d/debbugs/debbugs_2.4.2~exp0.tar.gz
debbugs_2.4.2~exp0_all.deb
  to pool/main/d/debbugs/debbugs_2.4.2~exp0_all.deb
libdebbugs-perl_2.4.2~exp0_all.deb
  to pool/main/d/debbugs/libdebbugs-perl_2.4.2~exp0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 514677@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Don Armstrong <don@debian.org> (supplier of updated debbugs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 26 Jul 2009 05:48:16 -0700
Source: debbugs
Binary: debbugs libdebbugs-perl debbugs-web debbugs-local
Architecture: source all
Version: 2.4.2~exp0
Distribution: experimental
Urgency: low
Maintainer: Debbugs developers <debian-debbugs@lists.debian.org>
Changed-By: Don Armstrong <don@debian.org>
Description: 
 debbugs    - The bug tracking system based on the active Debian BTS
 debbugs-local - run and maintains a local mirror of the Debian BTS
 debbugs-web - web scripts for the active Debian BTS
 libdebbugs-perl - modules used by the active Debian BTS
Closes: 9596 23018 34071 36814 37605 46848 53710 61341 67067 70810 84681 89569 95373 127354 128320 132274 133453 134166 136654 140061 153536 158375 164421 168962 172635 179340 182419 188561 188670 191306 196947 201825 207065 217960 219230 222077 222118 222264 228049 228597 229067 234362 238984 248335 260791 265267 276747 286792 288384 290501 293277 301606 306068 318898 319720 320175 320986 321925 326077 335813 337329 339141 344184 345407 346043 348116 348225 353260 355190 355786 355968 356680 362935 364026 365352 366093 367496 367514 367813 375697 376528 377520 378566 389634 395027 395865 397344 397486 402362 404806 406020 414023 414825 415628 415931 415932 415933 416321 419202 419553 422062 422062 422934 425614 428056 431459 432466 434504 434953 435926 441022 444416 448861 452905 454248 456786 458757 458822 459709 459866 462322 462653 465332 467190 470146 473272 475622 484789 485804 488554 494843 499680 499681 499682 499941 499990 499997 501757 504608 505189 507022 507506 511850 511864 512306 514183 514677 515063 517834 528249 530506 539020
Changes: 
 debbugs (2.4.2~exp0) experimental; urgency=low
 .
   [ Anthony Towns ]
   * Add "package" command to service (control@) to limit the bugs that
     the following commands apply to.
 .
   [ Colin Watson ]
   * Add (slightly) fancy CGI decoding of message/* MIME types.
   * CGI scripts now support multiple maintainers for a single package.
   * Add support for an X-Debbugs-No-Ack: mail header to suppress
     acknowledgements.
   * Document how to deliver mail to debbugs via procmail and SpamAssassin.
   * Implement new .status format that's extensible and easier to read; it
     now lives in .summary rather than .status. Use debbugs-upgradestatus
     to convert existing bug databases.
   * Implement bug ownership, with new 'owner' and 'noowner' commands and
     Owner: pseudo-header (closes: #133453).
   * Install Debian configuration in the binary package's examples
     directory (closes: #222118).
   * New standalone SpamAssassin queue runner, spamscan.
   * Allow # prefix on bug numbers in 'merge' command.
   * Fix some ordering issues in old-style package pages and summaries.
   * Add X-$gProject-PR-Message: headers to all mails sent by service.
   * debbugsconfig creates required directories in $gSpoolDir
     (closes: #222077).
   * Decode RFC1522 mail headers for display in the web interface.
     bugreport.cgi and pkgreport.cgi now output UTF-8.
   * Properly support multiple submitter addresses on a single bug.
   * Add a number of extra htmlsanit() calls to prevent cross-site
     scripting attacks.
 .
   [ Adam Heath ]
   * Rewrite filtering in cgi's common.pl, to make it completely generic.
     Filtering can now work against any field.
   * Rewrite grouping logic in cgi's common.pl, to make it completely
     generic.  There is now no longer 2 nested loops, to do the grouping.
     This makes adding new grouping levels simpler for the future.
   * Add in a Table of Contents to pkgreport.cgi.
   * Display how long until a resolved bug will be archived in
     pkgreport.cgi.
   * Add user-agent detection.  This currently doesn't change anything,
     however.
   * Add options show_list_(head|foot)er.
 .
   [ Don Armstrong ]
   * Don't remove the maintainer address if the message was sent by the
     maintainer and we're submitting to maintonly (closes: #140061)
   * Use uri_escape to escape URI's before sending them back out so the
     name of the file doesn't munge the query string. [#301606 pt. 1]
   * call decode_rfc1522 on the filename returned so that encoded
     filenames get decoded to something "reasonable." (closes: #301606)
   * We now require URI::Escape
   * Added apache.conf to examples, which is a sample apache
     configuration file which implements the rewrite rules that are
     currently used on bugs.debian.org. (closes: #222264)
   * Change spamscan.in to work with SA 3.0; This is an incompatible
     change with SA 2.6, and as such, we now Suggests: spamassassin
     (>=3.0) (closes: #290501)
   * Update MTA to exim4 (closes: #228597) and add instructions on using
     exim 4 (thanks to Marc Haber) (closes: #248335)
   * Added per bug subscription support to debbugs, which relies on an
     external MLM to actually deal with the requests; currently works with
     eoc and sends messages to bugnum\@$gListDomain. (closes: #34071)
   * Change bugreport.cgi to use Debbugs::Log and greately simplify the
     process of outputing the bug log.
   * All RFC1522 subject lines are decoded, both in the html information
     and the message headers. All messages are converted to UTF-8 whereever
     possible; all bugreport.cgi pages are now completely in UTF-8 to the
     degree possible using Encode.pm (closes: #46848,#238984)
   * Add a convert_to_utf8 function to Debbugs::Mime to make the above
     possible; abstracts functionality that was already present in the
     decode_rfc1522 fucntionality.
   * Individual messages can now be downloaded from each bug report
     (closes: #95373)
   * Uninteresting headers are now hidden by default, can be renabled
     with &trim=no (closes: #188561)
   * Fix postfix instructions in README.mail (thanks to Jeff Teunissen)
     (closes: #134166)
   * Display old severity when changing severity (closes: #196947)
   * All messages that originate from the BTS and either go to .log files
     or out to users are now properly RFC1522 encoded. (closes: #306068)
   * Add links to cloned bugs (closes: #217960) and forwarded records
     that look like urls in the html records output by bugreport.cgi.
   * Things that look like urls in message bodies are now linked
     (closes: #168962)
   * Add Debbugs::Mail module that has two important functions:
     send_mail_message and encode_headers. All mail handling in service.in
     and process.in now uses send_mail_message to send mail messages which
     tries as hard as possible to send a message; if it fails, only
     warnings are returned. This fixes bad addresses causing sendmail to
     exit and destroying the bug log. (closes: #191306)
   * Add rudimentary Test::More modules for testing Debbugs::Mime and
     Debbugs::Mail.
   * Allow X-debbugs-* to be set in pseudo headers. (closes: #179340)
   * Obey X-Debbugs-No-Ack in control@ messages. (closes: #201825)
   * Allow forwarded: and owner to be set at submit@ time.
     (closes:#128320)
   * Fix example rewrite rules to allow for #1234 and foo+bar@baz.com
     (closes: #321925)
   * Output proper charset for attachments (closes: #335813)
   * Use MIME encodings to attach messages in close and done.
     (closes: #136654)
   * Add a forcemerge command to service.in to allow forcibly merging
     bugs which are in the same package. (closes: #286792)
   * Make all packages lowercase to support packages with uppercase
     names, even though that's insane. (closes: #67067)
   * Change acknowledged to close (closes: #61341) and indicate who
     actually closed the bug (closes: #355968, #132274)
   * Fix the documentation of clone to indicate that you need at least
     one newID (closes: #276747)
   * Use create_mime_message to send all of the mails which may contain
     UTF8 material. (closes: #364026)
   * Add links to Closes: text for closed bugs. (closes: #320986)
   * Add X-$gProject-PR-Source: line (closes: #219230)
   * Use the %cats data structure properly in pkgreport.cgi
     (closes: #367514)
   * Document nnn.*@foobar addresses (closes: #188670)
   * Support cloned bugs in control blocking (closes: #337329)
   * Indicate which bugs are blocked after blocking (closes: #367496)
   * Obey package for usertags (closes: #376528)
   * Add link to subscribe to a bug (closes: #353260)
   * Don't lc owner or forwarded at submit time (closes: #288384)
   * Explain how to close bugs in the ack message (closes: #37605)
   * Make the moreinfo ack more general (closes: #70810)
   * Use RFC compliant dates in headers (closes: #362935)
   * Add SOAP support (closes: #377520) Thanks to Raphael Hertzog.
   * Split forwarded on commas for linking (closes: #367813,#473272)
   * Don't display duplicate bugs (closes: #348116)
   * Display links to archived bugs for all searches (closes: #53710)
   * Link to blocked bugs in the bugreport.cgi output (closes: #326077)
   * Don't ask for more bugs if there is no maintainer (closes: #355190)
   * Stop refering to developers on the index page (closes: #355786)
   * Change control@ stop regex and documentation to match eachother
     (closes: #366093)
   * Make it obvious when commands to control have failed
     (closes: #344184)
   * Fix javascript error in pkgreport.cgi (closes: #346043)
   * When a bug can't be found in control@; indicate to user that it may
     be archived. (closes: #153536)
   * my_url in pkgreport.cgi now returns the complete url (closes: #378566)
   * Document precisely how forwarded works (closes: #228049)
   * Dissallow forwarded being set to a $gEmailDomain address
     (closes: #397486)
   * Fix broken sorting by usertags by forcing numeric (closes: #395027)
   * Add support for hiding useless messages; thanks to Sune Vuorela.
     (closes: #406020)
   * Fix arrayrefs leaking into the myurl function (closes: #397344)
   * List bugs being blocked (closes: #356680)
   * Fix multiple submitters for a single bug in the index
     (closes: #402362)
   * Marking a bug as fixed now overrides a found at that exact version
     (closes: #395865)
   * When searching by source package, include the source package itself
     in the list of packages to search for, even if there is no binary
     package called that. (closes: #414825)
   * Add link from singlemsg page to main page; remove useless links
     (closes: #404806)
   * Support usertagging cloned bugs (closes: #375697)
   * List previous/new title when retitling, and show date of control
     actions (closes: #127354)
   * Add searching by owner (closes: #345407)
   * Accept colon after package in control mails (closes: #319720)
   * Make e-mail addresses case insensitive for searching
     (closes: #89569)
   * pkgindex.cgi limits its output with pagination (closes: #23018)
   * lc submitter address for comparsion in pkgreport.cgi
     (closes: #415628)
   * Add quotes around retitle'd titles (closes: #419202)
   * Don't automatically make categories hidden (closes: #415932)
   * Don't duplicate ordering (closes: #415931)
   * Make file locking portable (closes: #293277)
   * Allow the package pages to be optional (closes: #234362)
   * Fix package link code and link both packages (closes: #419553)
   * Save leading space when we unmime (closes: #416321)
   * Make the version regex correct (closes: #425614)
   * Indicate the selected user (closes: #422934)
   * Use source package for usertags where possible (closes: #415933)
   * Add PR-Package header for control messages (closes: #414023)
   * Fix double leading spaces of format=flowed messages
     (closes: #428056)
   * Don't doubly select users
   * Implement versioning aware archiving support (closes: #339141)
   * Split out packages so that you don't have to install the mail stuff
     unless you want it.
   * Only mail duplicated recipients once (closes: #172635)
   * Indicate date of last activity (closes: #207065)
   * Reorder title (closes: #265267)
   * Reopen bugs when a bug is found with a version greater than any
     fixed version (closes: #365352)
   * Allow ordering bugs by last action (closes: #318898)
   * Add notfixed/notfound commands (closes: #389634)
   * Fix soapy insanity (closes: #422062)
   * Add script to split index.db by severities (closes: #422062)
   * Add bugspam.cgi with confirm string (closes: #348225)
   * Allow selecting both archived and unarchived bugs (closes: #320175)
   * Support intersecting sets of bugs (closes: #164421)
   * Allow selecting the newest N bugs (closes: #84681)
   * Add anchor links to specific messages (closes: #431459)
   * Add missing newline after indicating what the user is (closes: #432466)
   * Handle src/binary packages with the same name (but different src
     packages) correctly. (closes: #435926)
   * Make sendmail binary location configurable, and use flock instead of
     fcntl. (closes: #260791)
   * Make notfound/notfixed log verbiage more clear (closes: #434953)
   * Verify submitter is a valid email according to RFC822
     (closes: #182419)
   * Indicate what message number a message is (closes: #462653,#454248)
   * Fix casing of versions (closes: #441022)
   * Output last-modified in bugreport.cgi (closes: #459709)
   * Fix various html syntax errors in pkgreport.cgi (closes: #462322)
   * Make search case insensitive (closes: #448861, #444416)
   * Add the ability to return source/package mapping
     (closes: #465332,#458822)
   * Deal properly with \r line endings (closes: #467190)
   * Distinguish between reports and followups (closes: #459866)
   * Allow for the archiving of bugs in removed packages
     (closes: #475622, #470146)
   * Add Text::Template based templating system (closes: #36814)
   * Add new uservalue feature to Debbugs::User
   * Don't serialize things as date/time in soap (closes: #484789)
   * Link to packages in bugreport page (closes: #229067)
   * Totally revamp the pkgreport templates (closes: #434504)
   * Add correspondent option to track bug correpondents (closes: #485804)
   * Fix addition of correspondents in gen-indices (closes: #511850)
   * Allow clicking anywhere outside the extra status box to close the
     extra status box (closes: #499990) Thanks to James Vega for the patch.
   * Return 404 when a bug number that does not exist is used
     (closes: #499997)
   * Comment out CGI::Alert use for the time being (closes: #499681)
   * No longer hard-code paths in age-1 (closes: #499682)
   * Change how maybelink links links (closes: #501757)
   * Use bug_subscription_domain in process (closes: #499680)
   * Clean up links when there is no information about a package
     (closes: #452905)
   * Deal properly with leading spaces in query arguments (closes: #158375)
   * Only send out control help when control is mailed (closes: #499941)
   * Resolve two XSS (closes: #504608)
   * Strip BOM before regexes involving spaces (closes: #488554)
   * Display link to full log again (closes: #507506)
   * Add Last-Modified: header support to mbox download (closes: #456786)
   * Add Date headers if missing (closes: #458757)
   * Indicate what machine has built webpages (closes: #507022)
   * Indicate the update location of source (closes: #512306)
   * Use get_addresses to parse X-Debbugs-Cc: to allow multiple Cc:'s
     (closes: #514183)
   * Calculate last modified using summary as well as log (closes: #515063)
   * Ditch 'as before' (closes: #514677)
   * Don't have reply/subscribe links for archived bugs (closes: #511864)
   * Fix issue with no-maintainer bugs assigned to multiple packages
     (closes: #528249)
   * Properly html_escape un-processed parts in maybelink (closes: #530506)
   * Add urls to the bottom of all messages we send out (closes: #9596)
   * Allow for tag nnn = baz + foo - bar in service (closes: #505189)
   * Allow trailinng periods after the control stop commands (closes:
     #517834)
   * Ditch extra blank lines (closes: #494843)
   * Handle &#39; ending links in Debbugs::CGI::Bugreport (closes: #539020)
Checksums-Sha1: 
 9c22407710e254526f91c26d712fb76d3df86e10 1184 debbugs_2.4.2~exp0.dsc
 f8ffd60451b5d1cb0bbe40d05e9951622243b418 262727 debbugs_2.4.2~exp0.tar.gz
 81dc208cb98962a2053255f2303c0410aef03df2 87146 debbugs_2.4.2~exp0_all.deb
 8b20c549a052db89d4cba7f31bbb2e430f27ae83 178622 libdebbugs-perl_2.4.2~exp0_all.deb
 63527dbde15c665034663db6d52f8577fdd6d88d 53688 debbugs-web_2.4.2~exp0_all.deb
 f588b056b391afc9e7a9136b838361ea99fef86a 21240 debbugs-local_2.4.2~exp0_all.deb
Checksums-Sha256: 
 787d33979aedb8d958abd8b0c28de92d8351167bc8849170d933093024b1d605 1184 debbugs_2.4.2~exp0.dsc
 aa841ec6a11466526f3fd28d3102c890699b1668b360a7da0fa3ad5f2c67d521 262727 debbugs_2.4.2~exp0.tar.gz
 6d79582c5cc8fde9b0d47d5ee58e9af4c3e0661d210aa526b820d86bf3fa5e7b 87146 debbugs_2.4.2~exp0_all.deb
 7f0ec3c129cfdb1047279abaab5e9d3ff49c3aaa7e5bd45fd6cd5dd7ddddc928 178622 libdebbugs-perl_2.4.2~exp0_all.deb
 ccb61722320136f578a29ca81014a34613cf5bbf27e861bd2b6ee4facf015bac 53688 debbugs-web_2.4.2~exp0_all.deb
 f493602d3f27f3a40f341e4b148af250113f9b6184ed7f60e06dffb3e51abd09 21240 debbugs-local_2.4.2~exp0_all.deb
Files: 
 ef6d3ec92ae50ae7639887329789fe62 1184 misc extra debbugs_2.4.2~exp0.dsc
 a187503c8baa1242ae60dfccb95ee14e 262727 misc extra debbugs_2.4.2~exp0.tar.gz
 da0dfcdcd55a379bb0fd1c12fcf3f847 87146 misc extra debbugs_2.4.2~exp0_all.deb
 e1355562d19887482fe2577c3a59500e 178622 perl extra libdebbugs-perl_2.4.2~exp0_all.deb
 6811b095ee36d5b056cfc06199a86be4 53688 misc extra debbugs-web_2.4.2~exp0_all.deb
 b3c6c7ddaf49973097cb6d26df6e284b 21240 misc extra debbugs-local_2.4.2~exp0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKh2llgcCJIoCND9ARA9z+AKDO9s9iun4tccp3XYpGaWUYA4QxtgCdGTEW
FMUV9aYol9zMlMyyjR7jQ/U=
=ujgZ
-----END PGP SIGNATURE-----





Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:55:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.